Page MenuHomePhabricator

Proposal: any WMF software project willing to be prioritized requires a concept publicly available
Open, Stalled, LowPublic

Description

Proposal

  • A place where the Wikimedia Foundation and anybody else could share concepts for new software products using a common template for easier evaluation.
  • Any Wikimedia Foundation team willing to prioritize a product concept should have it publicly available in this place.
  • Any project following the WMF product development process should start publishing a concept in this space.

Reasoning

Currently the WMF product development process draft identifies a Concept phase, and also identifies Community Members as an explicit stakeholder in that phase. This proposal articulates who that would work in practice. If we agree on the principle, then we can discuss the implementation details.

Such public place could be useful for WMF teams well beyond transparency and community engagement. Currently there is no common way for WMF teams to propose new product concepts and fight for them, or a common place where all the concepts can be found.

Out of scope here but closely related

Once this process would be set up, why not inviting others to contribute their concepts? Why not inviting others to prioritize concepts and contribute their own resources? The WMF is clearly the biggest player in the house, but it is not the only one. Having all product developers (WMF, chapters, volunteers...) following the same product development process can only be good.

See also

Related Objects

StatusAssignedTask
Duplicate Qgil
Resolved Qgil
Resolved Qgil
DuplicateNone
DuplicateNone
Duplicate Qgil
ResolvedElitre
ResolvedElitre
DeclinedNone
OpenNone
OpenNone
InvalidKeegan
DeclinedKeegan
DeclinedNone
StalledNone
OpenNone
Resolved Qgil
ResolvedKeegan
ResolvedQuiddity

Event Timeline

Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 10 2015, 10:27 AM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Elitre added a subscriber: Elitre.Nov 13 2015, 2:56 PM
Qgil added a subtask: Unknown Object (Task).Dec 1 2015, 9:31 AM

I like this idea. I think we already have a space that works pretty well for this kind of discussion of software features—Phabricator—so the two missing ingredients are (1) a policy or norm that product teams should create fairly detailed tasks describing their plans before starting work on a user-facing project and (2) a Phab project which would contain only this type of large, user-facing project, so users who want to comment on big ideas don't have to wade through engineering-focused tasks to find them.

Elitre closed subtask Unknown Object (Task) as Invalid.Dec 15 2015, 5:40 PM
Qgil triaged this task as Normal priority.Jan 12 2016, 7:32 AM

Is phabricator widely used by either the editing or reading populations these projects would impact?

I think the canonical place for concepts of software projects aiming to be deployed in Wikimedia should be mediawiki.org.

  • The project will need a communication page anyway. The initial concept page can be the logical seed, the first step.
  • Wiki pages are better than Phabricator tasks for collaborative editing, formatting, and handling questions in the Discussion page.
  • mediawiki.org is a multilingual wiki, and these pages could be made translatable if desired.

The Phabricator project or epic task could be an item in the checklist to enter the Plan stage, but not a requirement to work in the Concept stage.

Qgil updated the task description. (Show Details)Jan 15 2016, 1:14 AM
Tgr awarded a token.Jan 15 2016, 6:54 PM
Tgr added a subscriber: Tgr.
Qgil added a subscriber: Keegan.

@Keegan, this task is related to community engagement + Concept stage, therefore I think we need to schedule it for Liaisons-February-2016.

Keegan awarded a token.Feb 8 2016, 8:47 PM
Keegan added a comment.Feb 8 2016, 9:11 PM

I'm starting work on T123611, which should outline scenarios where a private plan might be desirable and potential walk-throughs of either not making it private at all from the start, or provide for planning on when and how to make the thing public as early as possible. Completing that task should theoretically complete this one, since the question (in my mind) isn't "When should a plan be public?" but "When should a plan not be public?" since that should not be the norm.

Keegan claimed this task.Feb 9 2016, 12:35 AM

Removing Team Practices Group for now. If you need something specific from the TPG, we suggest you consider using a template along the lines of the example requests here:

https://www.mediawiki.org/wiki/Team_Practices_Group/How_To_Engage_With_TPG

ggellerman removed a subscriber: ggellerman.
Qgil removed Keegan as the assignee of this task.Jul 5 2016, 5:42 PM
Qgil lowered the priority of this task from Normal to Low.
Qgil changed the task status from Open to Stalled.Sep 28 2016, 7:26 AM

I think this task needs to be revisited after the first review of the Technical Collaboration Guideline is completed (T144625). Then we look back at this proposal and see what is missing and desired.

Qgil updated the task description. (Show Details)Dec 20 2016, 2:55 PM
Tgr added a comment.Apr 24 2017, 7:55 AM

It would be also nice if any software project willing to be prioritized required a public implementation plan (ie. don't circumvent the RfC process for WMF software). I think lately we are getting better at that but it would still nice if it was called out explicitly.